"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const Debug = require("debug");
const debug = Debug("blockchain:index");
const App_1 = require("./lib/App");
const config = {
    advertisedHost: "http://localhost:1337",
    blockchain: {
        mintAddress: "0",
        mintReward: 100,
        difficulty: 4,
        protocol: "http://",
    },
    http: {
        port: 1337,
    },
    addressOpts: {
        bits: 1042,
        e: 65537,
    },
    database: {
        database: "blockchain",
        username: "root",
        password: "toor",
        storage: path.join(__dirname, "./../blockchain.sqlite"),
    },
};
const app = new App_1.default(config);
app.init().then(() => {
    debug("started");
}).catch((error) => {
    debug("failed to start", error.message);
});
//# sourceMappingURL=index.js.map