"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Debug = require("debug");
const debug = Debug("blockchain:app");
const Blockchain_1 = require("./Blockchain");
const HttpServer_1 = require("./http/HttpServer");
class App {
    constructor(config) {
        this.config = config;
        this.blockchain = new Blockchain_1.default(config);
        this.server = new HttpServer_1.default(this);
    }
    async init() {
        debug("starting..");
        await this.blockchain.init();
        await this.server.listen();
        debug("started");
    }
    async close() {
        debug("closing..");
        this.server.close();
        await this.blockchain.close();
    }
}
exports.default = App;
//# sourceMappingURL=App.js.map