"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PRIVATE_EOF = exports.PRIVATE_SOF = exports.PUBLIC_EOF = exports.PUBLIC_SOF = void 0;
const Debug = require("debug");
const debug = Debug("blockchain:address");
const keypair = require("keypair");
exports.PUBLIC_SOF = "-----BEGIN RSA PUBLIC KEY-----\n";
exports.PUBLIC_EOF = "\n-----END RSA PUBLIC KEY-----\n";
exports.PRIVATE_SOF = "-----BEGIN RSA PRIVATE KEY-----\n";
exports.PRIVATE_EOF = "\n-----END RSA PRIVATE KEY-----\n";
const PUBLIC_SOF_LENGTH = exports.PUBLIC_SOF.length;
const PUBLIC_EOF_LENGTH = exports.PUBLIC_EOF.length;
const PRIVATE_SOF_LENGTH = exports.PRIVATE_SOF.length;
const PRIVATE_EOF_LENGTH = exports.PRIVATE_EOF.length;
class Address {
    constructor(config) {
        this.config = config;
    }
    createAddress() {
        debug("creating new address..");
        const startT = Date.now();
        const k = keypair;
        const pair = k(this.config.addressOpts);
        const address = {
            address: pair.public.substr(PUBLIC_SOF_LENGTH, pair.public.length - PUBLIC_EOF_LENGTH - PUBLIC_SOF_LENGTH),
            privateKey: pair.private.substr(PRIVATE_SOF_LENGTH, pair.private.length - PRIVATE_EOF_LENGTH - PRIVATE_SOF_LENGTH),
        };
        debug("created address in ", Date.now() - startT, "ms");
        return address;
    }
}
exports.default = Address;
//# sourceMappingURL=Address.js.map