"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const request = require("request");
class HttpClient {
    call(options) {
        return new Promise((resolve, reject) => {
            request(options, (error, response, body) => {
                if (error) {
                    return reject(error);
                }
                if (body) {
                    try {
                        body = JSON.parse(body);
                    }
                    catch (error) {
                        // empty
                    }
                }
                resolve({
                    body,
                    headers: response.headers,
                    status: response.statusCode,
                });
            });
        });
    }
}
exports.default = HttpClient;
//# sourceMappingURL=HttpClient.js.map